### R code from vignette source 'constparty.Rnw'

### test here after removal of RWeka dependent code

###################################################
### code chunk number 1: setup
###################################################
options(width = 70)
library("partykit")
set.seed(290875)


###################################################
### code chunk number 2: Titanic
###################################################
data("Titanic", package = "datasets")
ttnc <- as.data.frame(Titanic)
ttnc <- ttnc[rep(1:nrow(ttnc), ttnc$Freq), 1:4]
names(ttnc)[2] <- "Gender"


###################################################
### code chunk number 3: rpart
###################################################
library("rpart")
(rp <- rpart(Survived ~ ., data = ttnc, model = TRUE))


###################################################
### code chunk number 4: rpart-party
###################################################
(party_rp <- as.party(rp))


###################################################
### code chunk number 5: rpart-plot-orig
###################################################
plot(rp)
text(rp)


###################################################
### code chunk number 6: rpart-plot
###################################################
plot(party_rp)


###################################################
### code chunk number 7: rpart-pred
###################################################
all.equal(predict(rp), predict(party_rp, type = "prob"), 
  check.attributes = FALSE)


###################################################
### code chunk number 8: rpart-fitted
###################################################
str(fitted(party_rp))


###################################################
### code chunk number 9: rpart-prob
###################################################
prop.table(do.call("table", fitted(party_rp)), 1)


###################################################
### code chunk number 10: J48
###################################################
#if (require("RWeka")) {
#  j48 <- J48(Survived ~ ., data = ttnc)
#} else {
#  j48 <- rpart(Survived ~ ., data = ttnc)
#}
#print(j48)
#
#
####################################################
#### code chunk number 11: J48-party
####################################################
#(party_j48 <- as.party(j48))
#
#
####################################################
#### code chunk number 12: J48-plot
####################################################
#plot(party_j48)
#
#
####################################################
#### code chunk number 13: J48-pred
####################################################
#all.equal(predict(j48, type = "prob"), predict(party_j48, type = "prob"),
#  check.attributes = FALSE)


